Deprecated Methods etc.. Errors. How Best to Deal With It?

I have these 'deprecated methods' errors on my son's site. ghawcroft.com/zenphotos. You can see it all there for yourself.

seems to me I probably need to update the installation.

Yes?

If so how to do it? Just make a fresh installation right on top of the old one? That wouldn't be right, would it?

Comments

  • acrylian Administrator

    Deprecated methods/functions are to be remove sometime in the future so should be replaced by the ones that should be indicated by the error/warning message.

    How to fix these depends on where they come from. For official things an update should solve it. For third things like plugins or themes that would be dependent on their authors so they still support their tools (if not you have to do youself or find a replacement…)

    In your case an update would solve it. You are running 1.4.10 which is from September 2015 already. Current release is 1.5.4. You should really update regulary especially for security concern alone.

    You find all info about updating here:
    https://www.zenphoto.org/news/installation-and-upgrading/

Sign In or Register to comment.